[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[SECURITY] Fedora 9 Update: ruby-gnome2-0.17.0-2.fc9



--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2008-8425
2008-09-27 03:05:13
--------------------------------------------------------------------------------

Name        : ruby-gnome2
Product     : Fedora 9
Version     : 0.17.0
Release     : 2.fc9
URL         : http://ruby-gnome2.sourceforge.jp/
Summary     : Ruby binding of libgnome/libgnomeui-2.x
Description :
This is a set of bindings for the GNOME-2.x libraries for use from Ruby.

--------------------------------------------------------------------------------
Update Information:

Mozilla Firefox is an open source Web browser.    Several flaws were found in
the processing of malformed web content. A web page containing malicious content
could cause Firefox to crash or, potentially, execute arbitrary code as the user
running Firefox. (CVE-2008-4058, CVE-2008-4060, CVE-2008-4061, CVE-2008-4062,
CVE-2008-4063, CVE-2008-4064)    Several flaws were found in the way malformed
web content was displayed. A web page containing specially crafted content could
potentially trick a Firefox user into surrendering sensitive information.
(CVE-2008-4067, CVE-2008-4068)    A flaw was found in the way Firefox handles
mouse click events. A web page containing specially crafted JavaScript code
could move the content window while a mouse-button was pressed, causing any item
under the pointer to be dragged. This could, potentially, cause the user to
perform an unsafe drag-and-drop action. (CVE-2008-3837)    A flaw was found in
Firefox that caused certain characters to be stripped from JavaScript code. This
flaw could allow malicious JavaScript to bypass or evade script filters.
(CVE-2008-4065)    For technical details regarding these flaws, please see the
Mozilla security advisories for Firefox 3.0.2.[1]    All Firefox users should
upgrade to these updated packages, which contain patches that correct these
issues.    [1] http://www.mozilla.org/security/known-
vulnerabilities/firefox30.html#firefox3.0.2
--------------------------------------------------------------------------------
ChangeLog:

* Wed Sep 24 2008 Christopher Aillon <caillon redhat com> - 0.17.0-2
- Rebuild against newer gecko
* Thu Sep 18 2008 Mamoru Tasaka <mtasaka ioa s u-tokyo ac jp> 0.17.0-1
- Update to 0.17.0
- Patch from svn to fix Ruby/GLib bug (bug 456816)
* Sat Jul 19 2008 Mamoru Tasaka <mtasaka ioa s u-tokyo ac jp> - 0.17.0-0.4.rc1
- F-9+: relax gecko libs dependency
- F-9+: bump version to fix EVR problem between F-8 branch
* Fri Jun 20 2008 Martin Stransky <stransky redhat com> - 0.17.0-0.2.rc1
- Rebuild against new xulrunner
* Sun Jun  8 2008 Mamoru Tasaka <mtasaka ioa s u-tokyo ac jp> - 0.17.0-0.1.rc1
- 0.17.0 rc1
- Remove upstreamed patches - 2 patches remain
  - ruby-gnome2-0.17.0-rc1-script.patch
  - ruby-gnome2-all-0.16.0-xulrunner.patch
- Restrict ruby abi dependency to exact 1.8 version
- Fix the license (to strict LGPLv2)
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #449279 - totem-video-thumbnailer fails to work with flash video files
        https://bugzilla.redhat.com/show_bug.cgi?id=449279
--------------------------------------------------------------------------------

This update can be installed with the "yum" update program.  Use 
su -c 'yum update ruby-gnome2' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key.  More details on the
GPG keys used by the Fedora Project can be found at
http://fedoraproject.org/keys
--------------------------------------------------------------------------------


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]